#ifndef ALIANALYSISTASKPTSPECTRA_H
#define ALIANALYSISTASKPTSPECTRA_H

// Analysis task for pT spectrum

class TList;
class TH1F;

#include "AliAnalysisTaskSE.h"

class AliAnalysisTaskPtSpectra : public AliAnalysisTaskSE {
 public:  
  AliAnalysisTaskPtSpectra(const char *name = "AliAnalysisTaskptspectra");
  virtual ~AliAnalysisTaskPtSpectra(); 
   
  virtual void   UserCreateOutputObjects();
  virtual void   UserExec(Option_t *option);
  virtual void   FinishTaskOutput();
  virtual void   Terminate(Option_t *);

  void SetFilterBit(UInt_t gFilterBit) {
    fnAODtrackCutBit = gFilterBit;}

 private:
  TList *fList; //fList object
  UInt_t fnAODtrackCutBit;//filter bit
  TH1F *fHistPt; //pT spectrum
 
  AliAnalysisTaskPtSpectra(const AliAnalysisTaskPtSpectra&); // not implemented
  AliAnalysisTaskPtSpectra& operator=(const AliAnalysisTaskPtSpectra&); // not implemented
  
  ClassDef(AliAnalysisTaskPtSpectra, 1); // example of analysis
};



#endif
